OpenVDB 13.0.0

Loading...
Searching...
No Matches
TensorTraits< T, 0 > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | ElementType = T

## Static Public Member Functions
static T | scalar (const T &s)

## Static Public Attributes
static const int | Rank = 0
static const bool | IsScalar = true
static const bool | IsVector = false
static const int | Size = 1

## Member Typedef Documentation

## ◆ ElementType

template<typename T>

using ElementType = T

## Member Function Documentation

## ◆ scalar()

template<typename T>

T scalar | ( | const T & | s | ) |
| inline static

## Member Data Documentation

## ◆ IsScalar

template<typename T>

const bool IsScalar = true
| static

## ◆ IsVector

template<typename T>

const bool IsVector = false
| static

## ◆ Rank

template<typename T>

const int Rank = 0
| static

## ◆ Size

template<typename T>

const int Size = 1
| static